%define modname URPM

Summary:	URPM module for perl
Name:		perl-%{modname}
Version:	4.62
Release:	2
License:	GPLv2+ or Artistic
Group:		Development/Perl
Source0:	%{modname}-%{version}.tar.xz
Patch0:		URPM-4.62-drop-rpmtsSetScriptFd.patch
Patch1:		URPM-4.62-increase-buff-size.patch
URL:		https://abf.rosalinux.ru/moondrake/perl-URPM
BuildRequires:	rpm-devel
BuildRequires:	perl(MDV::Packdrakeng)
BuildRequires:	perl-devel
BuildRequires:	perl-List-MoreUtils
BuildRequires:	perl-JSON-PP
BuildRequires:	perl(RPMBDB)

# we can now expect librpm API to be backward compatible
Requires:	rpm
Requires:	perl(MDV::Packdrakeng)
Conflicts:	urpmi < 7.24
Provides:	perl(URPM::Build) = %{version}-%{release}
Provides:	perl(URPM::Resolve) = %{version}-%{release}
Provides:	perl(URPM::Signature) = %{version}-%{release}

%description
The URPM module allows you to manipulate rpm files, rpm header files and
hdlist files and manage them in memory.

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p1
%patch1 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make

%check
# skip check suite when building on rpm 4, as some parts of it depends on
# rpm 5.3 to be installed
# [ "`rpm --version|sed -e  's/^.* \([0-9]\+\).*/\1/'`" != 4 ] && \
# make test

%install
%makeinstall_std

%files
%doc README
%{_mandir}/man3/*
%{perl_vendorarch}/URPM.pm
%dir %{perl_vendorarch}/URPM
%{perl_vendorarch}/URPM/*.pm
%dir %{perl_vendorarch}/auto/URPM
%{perl_vendorarch}/auto/URPM/URPM.so

%changelog
* Tue Aug 19 2014 Denis Silakov <denis.silakov@rosalab.ru> 4.62-2
+ Revision: 74cd0e0
- Increase buff size

* Tue Jul 01 2014 Denis Silakov <denis.silakov@rosalab.ru> 4.62-1
+ Revision: e3bd471
- Add missing patch

* Tue Jul 01 2014 Denis Silakov <denis.silakov@rosalab.ru> 4.62-1
+ Revision: 8513939
- Updated to 4.62

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 4.43-29
+ Revision: 1654d9f
- MassBuild#440: Increase release tag

* Tue Jun 24 2014 Denis Silakov <denis.silakov@rosalab.ru> 4.43-28
+ Revision: 143fc10
- Increase buffer size when generating strings for synthesis files

* Mon May 26 2014 Denis Silakov <denis.silakov@rosalab.ru> 4.43-26
+ Revision: d58c644
- Bump release

* Fri May 23 2014 Denis Silakov <denis.silakov@rosalab.ru> 4.43-25
+ Revision: 622395d
- Dump release

* Tue Apr 01 2014 Denis Silakov <denis.silakov@rosalab.ru> 4.43-24
+ Revision: 8e3813d
- Avoid warnings if LANG is not set

* Fri Dec 20 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-23
+ Revision: 7220b7d
- Improve log message for the case when newer version of the package exist in repos

* Wed Oct 23 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-22
+ Revision: 76d4928
- Compare architecture when detecting newer versions in repo

* Thu Sep 26 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-21
+ Revision: 8b131ab
- Allow to select old packages in case of srpms

* Wed Sep 04 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-20
+ Revision: 8cf9bb4
- LOG Fix issue with LANG reset

* Mon Aug 26 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-19
+ Revision: 90f8b1d
- LOG Take LANG into acocunt when choosing among locale-specific packages

* Mon Aug 19 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-18
+ Revision: ee82fac
- Fix patch

* Mon Aug 19 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-18
+ Revision: 787caba
- Fix flaws found by coverity analyzer

* Tue Jul 23 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-17
+ Revision: db48c22
- Bump release

* Tue Jul 23 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-16
+ Revision: 274aee4
- Fix skip-installed-alternatives patch

* Tue Jul 23 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-16
+ Revision: 3a5bddb
- Fix malformed patch

* Tue Jul 23 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-16
+ Revision: f4e9d53
- Improve ignorance of old packages

* Mon Jul 22 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-15
+ Revision: 8b8686a
- Added a patch to skip old package versions

* Fri Jul 19 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-14
+ Revision: a16b49a
- Take pkg arch into account in the auto mode

* Tue Jul 16 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-13
+ Revision: 5b6159b
- Fix pkg version comparison

* Tue Jul 16 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-12
+ Revision: 3233260
- Improve selection of locale-dependent packages

* Thu Jul 04 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-11
+ Revision: 242eb67
- One more experimental fix

* Wed Jul 03 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-10
+ Revision: 33f7ce4
- Compare candidate versions in skip-alternatives patch

* Thu Jun 27 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-9
+ Revision: 1f19576
- Try to fix alternatives selection

* Thu Apr 04 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-8
+ Revision: f8bb36b
- Do not force update of packages that are newer than available in repos

* Mon Apr 01 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-7
+ Revision: e96e712
- Improve skip-installed-alternatives patch a little

* Mon Apr 01 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-6
+ Revision: 8ee5b66
- urpmi - in case of multiple choices, do not perform any action if one of the choices is already installed in the newest version

* Fri Mar 29 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-5
+ Revision: 56ca8e5
- Bump release


